Subject: Re: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: Stefan Monnier <[email-masked]>
Date: Mon, 16 Jan 2012 08:56:55 -0500

>> (string= (directory-file-name (file-truename (expand-file-name file1)))
>> (directory-file-name (file-truename (expand-file-name file2))))))

> So, any objections to apply my patch to trunk with these changes?

Couldn't we use something closer to what we want to ideally use?
E.g. (equal (file-attributes file1) (file-attributes file2))?

        Stefan